{
  "type": "wizard_samurai:shaped_table",
  "category": "misc",
  "key": {
    "a": {
      "item": "irons_spellbooks:shriving_stone"
    },
    "d": {
      "item": "irons_spellbooks:divine_pearl"
    },
    "f": {
      "item": "samurai_dynasty:amethyst_ingot"
    },
    "r": {
      "item": "minecraft:amethyst_shard"
    },
    "s": {
      "item": "irons_spellbooks:amethyst_resonance_charm"
    },
    "w": {
      "item": "irons_spellbooks:cooldown_rune"
    }
  },
  "pattern": [
    "wwwww",
    "wasaw",
    "wdfdw",
    "wrrrw",
    "wwwww"
  ],
  "result": {
    "item": "wizard_samurai:amethyst_wizard_samurai_upgrade_smithing_template"
  },
  "show_notification": true,
  "tier": 2
}